# Uses of Class
org.eclipse.mat.snapshot.query.SnapshotQuery

Packages that use SnapshotQuery
Package
Description
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.

## Uses of SnapshotQuery in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return SnapshotQuery
Modifier and Type
Method
Description
`static SnapshotQuery`
SnapshotQuery.`lookup(String name, ISnapshot snapshot)`
Factory method to create a query by name.
`static SnapshotQuery`
SnapshotQuery.`parse(String commandLine, ISnapshot snapshot)`
Factory method to create a query by command line, i.e.
`SnapshotQuery`
SnapshotQuery.`set(String name, Object value)`
Deprecated.
use setArgument() instead
`SnapshotQuery`
SnapshotQuery.`setArgument(String name, Object value)`
Set the argument identified by `name`.